Close
Login to Your Account
Results 1 to 1 of 1
  1. #1
    Join Date
    Nov 2019
    Location
    Posts
    1
    Downloads
    0
    Uploads
    0

    Bigtree SKR v1.3 Won't Connect to PC (or anything else)

    I'm trying to troubleshoot the DIY 3D printer I just finished putting together, and I just finished wiring everything up, but despite the brain clearly getting power as indicated by the red LED on the Skr 1.3 brain and my BLtouch sensor glowing, pronterface won't connect to it and it's TFT touchscreen (Bigtreetech TFT 2.4) is convinced that there is "No printer attached."

    My laptop indicates something is connected when I plug it in via USB via the usual windows 10 plugin sound, and I can see the printer in my device manager as "Marlin USB device", but I can't view the contents of the SD card like I could on my old laptop.

    I know I'm running at 115200 baudrate and my computer claims something is attached in COM port 3, but when I click connect in Pronterface, the console says "connecting" until you unplug or hit the reset button on the printer at which point it says:

    Connecting...
    Exception in thread Thread-5:
    Traceback (most recent call last):
    File "C:\Users\super\OneDrive\Desktop\Printrun-master\printrun\printcore.py", line 271, in _readline
    line = self.printer.readline().decode('ascii')
    File "C:\Users\super\AppData\Local\Programs\Python\Pyth on37-32\lib\site-packages\serial\serialwin32.py", line 273, in read
    raise SerialException("ClearCommError failed ({!r})".format(ctypes.WinError()))
    serial.serialutil.SerialException: ClearCommError failed (PermissionError(13, 'The device does not recognize the command.', None, 22))

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
    File "C:\Users\super\AppData\Local\Programs\Python\Pyth on37-32\lib\threading.py", line 926, in _bootstrap_inner
    self.run()
    File "C:\Users\super\AppData\Local\Programs\Python\Pyth on37-32\lib\threading.py", line 870, in run
    self._target(*self._args, **self._kwargs)
    File "C:\Users\super\OneDrive\Desktop\Printrun-master\printrun\printcore.py", line 356, in _listen
    self._listen_until_online()
    File "C:\Users\super\OneDrive\Desktop\Printrun-master\printrun\printcore.py", line 325, in _listen_until_online
    line = self._readline()
    File "C:\Users\super\OneDrive\Desktop\Printrun-master\printrun\printcore.py", line 292, in _readline
    if 'Bad file descriptor' in e.args[1]:
    IndexError: tuple index out of range


    Does anyone know how to fix this? I'm running out of time to complete my senior capstone project.
    Thank you so much,
    ~20rzaugg


Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Similar Threads

  1. NEED HELP Connect a filament runout sensor to a MKS GEN 1.4 Board
    By the dragonlord in forum Hardware (stepper motor, drivers Etc)
    Replies: 1
    Last Post: 08-19-2019, 01:41 PM
  2. News How do I connect printers to computer? Want to know that-Contact us @18884135486
    By hpprintersupportnumber in forum 3D Printshow
    Replies: 1
    Last Post: 01-09-2017, 12:58 AM
  3. How to connect to DIAG Port?
    By akb in forum Stratasys
    Replies: 1
    Last Post: 12-24-2016, 02:14 PM

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •